VESPA-DOCUMENT(1)

NAME
vespa-document - Issue a single document operation to Vespa

SYNOPSIS
vespa document json-file [flags]

DESCRIPTION
Issue a single document operation to Vespa.

The operation must be on the format documented in https://docs.vespa.ai/en/reference/schemas/document-json-format.html#document-operations

When this returns successfully, the document is guaranteed to be visible in any subsequent get or query operation.

To feed with high throughput, https://docs.vespa.ai/en/reference/clients/vespa-cli/vespa_feed.html should be used instead of this.

OPTIONS
-d, --data=""
    Document data to use instead of reading from file or stdin

--header=[]
    Add a header to the HTTP request, on the format 'Header: Value'. This can be specified multiple times

-h, --help[=false]
    help for document

-T, --timeout=60
    Timeout for the document request in seconds

-v, --verbose[=false]
    Print the equivalent curl command for the document operation

-w, --wait=0
    Number of seconds to wait for service(s) to become ready. 0 to disable (default 0)

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa document src/test/resources/A-Head-Full-of-Dreams.json

SEE ALSO
vespa(1), vespa-document-get(1), vespa-document-put(1), vespa-document-remove(1), vespa-document-update(1)